var DELAY             = 0.01;
var DESTINATION_URL   = "http://www.die-startseite.net/";


function setupAlarm (tabId) {
  console.log("tabId" + tabId);

  //browser.pageAction.hide (tabId);
  browser.alarms.clearAll();
  var gettingTab = browser.tabs.get (tabId);
  gettingTab.then((tab) => {    
    if (tab.url != DESTINATION_URL) {
      browser.alarms.create("restartAlarm", {delayInMinutes: DELAY});
    }
  });
}

browser.alarms.onAlarm.addListener ( alarmInfo => {
 console.log("onAlarm: " + alarmInfo.name);
 browser.tabs.update({url: DESTINATION_URL});
});

console.log("----------------------- Initially setting up alarm -----------------------");
browser.alarms.create(DESTINATION_URL, {delayInMinutes: DELAY});

browser.browserAction.onClicked.addListener (
    () => browser.tabs.update ({url: DESTINATION_URL}));
